=== modified file 'branch.py'
--- branch.py	2007-02-03 10:45:37 +0000
+++ branch.py	2007-02-03 14:19:44 +0000
@@ -31,7 +31,7 @@
 from bzrlib.config import GlobalConfig
 import bzrlib.errors as errors
 
-from olive.dialog import error_dialog, info_dialog
+from dialog import error_dialog, info_dialog
 
 
 class BranchDialog(gtk.Dialog):

=== modified file 'commit.py'
--- commit.py	2007-02-03 10:51:01 +0000
+++ commit.py	2007-02-03 14:19:44 +0000
@@ -29,7 +29,7 @@
 import bzrlib.errors as errors
 from bzrlib import osutils
 
-from olive.dialog import error_dialog, question_dialog
+from dialog import error_dialog, question_dialog
 from errors import show_bzr_error
 
 class CommitDialog(gtk.Dialog):
@@ -164,7 +164,7 @@
         (model, iter) = treeselection.get_selected()
         
         if iter is not None:
-            from olive import DiffWindow
+            from diff import DiffWindow
             
             _selected = model.get_value(iter, 1)
             

=== modified file 'errors.py'
--- errors.py	2007-02-03 10:45:37 +0000
+++ errors.py	2007-02-03 14:19:44 +0000
@@ -15,8 +15,7 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 import bzrlib.errors as errors
-
-from olive.dialog import error_dialog
+from dialog import error_dialog
 
 def show_bzr_error(unbound):
     """Decorator that shows bazaar exceptions. """

=== modified file 'merge.py'
--- merge.py	2007-02-03 10:45:37 +0000
+++ merge.py	2007-02-03 14:19:44 +0000
@@ -28,7 +28,7 @@
 from bzrlib.branch import Branch
 import bzrlib.errors as errors
 
-from olive.dialog import error_dialog, info_dialog, warning_dialog
+from dialog import error_dialog, info_dialog, warning_dialog
 from errors import show_bzr_error
 from olive.guifiles import GLADEFILENAME
 

=== modified file 'push.py'
--- push.py	2007-02-03 10:45:37 +0000
+++ push.py	2007-02-03 14:19:44 +0000
@@ -22,14 +22,14 @@
     
 import gtk
 
-from olive import delimiter
 from errors import show_bzr_error
 
 from bzrlib.config import LocationConfig
 import bzrlib.errors as errors
 
-from olive.dialog import error_dialog, info_dialog, question_dialog
+from dialog import error_dialog, info_dialog, question_dialog
 
+from olive import delimiter
 
 class PushDialog(gtk.Dialog):
     """ New implementation of the Push dialog. """

